// JavaScript Document

jQuery(document).ready(function($) {

    // Slider plugin

    $(".rslides1").responsiveSlides({
        //auto: false,
        //nav: true,
		pause: true,
        pager: true,
        speed: 300
        //maxwidth: 540
    });
	
	// Carousel plugin
	
	$('.testimonialswrap').carousel({
				slider: '#testimonials',
				slide: '.testimonials-slide',
				nextSlide : '.next-l',
				prevSlide : '.prev-l',
				addNav : false
			});

    // Top Text widget cycle 								

    $('.info-text').cycle({
        fx: 'scrollDown',
        speed: 500,
        timeout: 3500,
        pause: 1,
        cleartypeNoBg: true
    });

    setTimeout(function() {

        $('.top-bar').slideDown();

        //Social icon hover

        $('ul.socicon li').fadeTo(300, 0.5);
        var width = 0;
        var sWidth = width += $('ul.top-w li').outerWidth(true);
        var n = $('ul.top-w li').length;

        $('ul.top-w li').hover(function() {
            $(this).fadeTo(300, 0.8);

        },
        function() {
            $(this).fadeTo(300, 0.5);

        });

        $('ul.top-w').hover(function() {
            $('ul.top-w').stop().animate({
                width: sWidth * n
            },
            {
                duration: 500,
                specialEasing: {
                    width: 'swing'
                }
            });

        },
        function() {
            $('ul.top-w').stop().animate({
                width: '30px'
            },
            {
                duration: 500,
                specialEasing: {
                    width: 'swing'
                }
            });

        });

    },
    1000);


    //Portfolio filter

    $('ul#portfolio-filter a').click(function() {

        $('ul#portfolio-filter a.currents').removeClass('currents');
        $(this).addClass('currents');

        var filterVal = $(this).text().toLowerCase().replace(' ', '-');

        if (filterVal == 'all') {
            $('#containment-portfolio li.hidden').show(1000).removeClass('hidden');
        } else {

            $('#containment-portfolio li').each(function() {
                if (!$(this).hasClass(filterVal)) {
                    $(this).hide(1000).addClass('hidden');

                } else {
                    $(this).show(1000).removeClass('hidden');

                }
            });
        }

        return false;
    });

    //Carousel images

    $('#Carousel1,#Carousel').carousel({
        interval: 2500
    });

    //Media element player

    $('audio,video').mediaelementplayer({
        audioWidth: '100%',
        audioHeight: '30px',
        videoWidth: '100%',
        videoHeight: '100%'
    });

    //prettyPhoto

    $("a[rel^='prettyPhoto']").prettyPhoto();

    //Portfolio item

    $('.item-block').hover(function() {
        $(this).css({
            background: '#f8f8f8'
        });
        $(this).find('.zoom').animate({
            left: "+=130px"
        },
        {
            duration: 300,
            specialEasing: {
                width: 'easeOutExpo'
            }
        });

        $(this).find('.link').animate({
            right: "+=130px"
        },
        {
            duration: 300,
            specialEasing: {
                width: 'easeOutExpo'
            }
        });

    },
    function() {
        $(this).css({
            background: 'none'
        });
        $(this).find('.zoom').animate({
            left: "-70px"
        },
        {
            duration: 300,
            specialEasing: {
                width: 'easeOutExpo'
            }
        });

        $(this).find('.link').animate({
            right: "-70px"
        },
        {
            duration: 300,
            specialEasing: {
                width: 'easeOutExpo'
            }
        });

        return false;
    });

    
    // Search effect 
	
    $('.navbar-search').hover(function() {
        $('.search-query').stop().animate({
            width: '150px'
        },
        {
            duration: 500,
            specialEasing: {
                width: 'swing'
            }
        });

    },
    function() {
        $('.search-query').stop().animate({
            width: '8px'
        },
        {
            duration: 500,
            specialEasing: {
                width: 'swing'
            }
        });

    });

    $("#header input#searchsubmit").mouseover(function() {
        $('#header #search form input#s').stop(false, true).animate({
            width: '152px',
            marginRight: '-6px',
            paddingLeft: '10px',
            paddingRight: '10px'
        }).focus();
    });
    $("#header #search").mouseleave(function() {
        value = '';
        $('#header #search form input#s').stop(false, true).animate({
            width: '3px',
            marginRight: '0',
            padding: '0'
        }).blur().val(value);
    });
	
	//Toggle

    $(".toggle-box").hide();
    $(".open-block").toggle(function() {
        $(this).addClass("active");
    },
    function() {
        $(this).removeClass("active");
    });
    $(".open-block").click(function() {
        $(this).next(".toggle-box").slideToggle();
    });
	
    //Accordion

    $('.accordion-box').hide();
    $('.open-block-acc').click(function() {
        $(".open-block-acc").removeClass("active"); 
		$('.accordion-box').slideUp('normal');
        if ($(this).next().is(':hidden') == true) {
            $(this).next().slideDown('normal');
            $(this).addClass("active");
        }
    });
	
	//Message box

    $('.message-box').find('.closemsg').click(function() {
        $(this).parent('.message-box').slideUp(500);
    });

    // Mobi Navigation

    $("nav ul").find('li').hover(function() {
        $(this).children("ul").stop(true, true).fadeIn(300);
    },
    function() {
        $(this).children("ul").stop(true, true).fadeOut(200);
    });

    (function() {

        var $navResp = $('nav').children('ul'),
        optionsList = '<option value="" selected>MENU</option>';

        $navResp.find('li').each(function() {
            var $this = $(this),
            $anchor = $this.children('a'),
            depth = $this.parents('ul').length - 1,
            indent = '';

            if (depth) {
                while (depth > 0) {
                    indent += '--';
                    depth--;
                }
            }

            optionsList += '<option value="' + $anchor.attr('href') + '">' + indent + ' ' + $anchor.text() + '</option>';
        }).end().after('<select class="responsive">' + optionsList + '</select>');

        $('.responsive').on('change',
        function() {
            window.location = $(this).find("option:selected").val();

        });

    })();

    // Validator plugin

    $('#submit').formValidator({
        scope: '#form'
    });

    $('#submit').click(function() {
        $('input.error-input, textarea.error-input').delay(300).animate({
            marginLeft: 0
        },
        100).animate({
            marginLeft: 10
        },
        100).animate({
            marginLeft: 0
        },
        100).animate({
            marginLeft: 10
        },
        100).animate({
            marginLeft: 0
        },
        100);
    });

    // Form plugin

    var options = {

        beforeSubmit: function() {
            $('.sending').show();

        },
        success: function() {
            $('.sending').hide();
            $('#form').hide();
            $(".mess").show().html('<h3>Thanks !</h3><h3>Your message has been sent.</h3>'); // Change Your message post send
            $('.mess').delay(3500).fadeOut(function() {

                $('#form').clearForm();
                $('#form').delay(4000).show();

            });
        }
    };

    $('#form').submit(function() {
        $(this).ajaxSubmit(options);
        return false;
    });

});